<?php
/**
 * @version SOFORT Gateway 3.3.0 - $Date: 2013-05-23 15:34:28 +0200 (Thu, 23 May 2013) $
 * @author SOFORT AG (integration@sofort.com)
 * @link http://www.sofort.com/
 *
 * Copyright (c) 2012 SOFORT AG
 *
 * Released under the GNU General Public License (Version 2)
 * [http://www.gnu.org/licenses/gpl-2.0.html]
 *
 * $Id: sofort_ideal.php 6160 2013-05-23 13:34:28Z rotsch $
 */

//include language-constants for used in all Multipay Projects - NOTICE: iDEAL is not Multipay
require_once 'sofort_general.php';

define('SOFORT_IDEAL_TEXT_TITLE', 'iDEAL'); //needed by core, public
define('SOFORT_IDEAL_CLASSIC_TEXT_TITLE', 'iDEAL<br /><img src="https://images.sofort.com/fr/ideal/logo_90x30.png" alt="Logo iDEAL"/>'); //admin
define('SOFORT_IDEAL_CLASSIC_RECOMMENDED_PAYMENT_TEXT', '(Mode de paiement conseill)');

//all shopsystem-params
define('SOFORT_IDEAL_CLASSIC_STATUS_TITLE', 'iDEAL - Activer module sofort.de');
define('SOFORT_IDEAL_CLASSIC_RECOMMENDED_PAYMENT_TITLE', 'Mode de paiement conseill');
define('SOFORT_IDEAL_CLASSIC_AUTH_TITLE', 'Tester cl de configuration/API-Key');
define('SOFORT_IDEAL_CLASSIC_AUTH_DESC', '<noscript>Veuillez activer Javascript!</noscript><script src="'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/javascript/testAuth.js"></script>');  //max 255 signs
define('SOFORT_IDEAL_CLASSIC_ZONE_TITLE' , SOFORT_MULTIPAY_ZONE_TITLE);
define('SOFORT_IDEAL_ALLOWED_TITLE' , 'Zone de paiement');
define('SOFORT_IDEAL_ALLOWED_DESC' , 'Veuillez indiquer <b>sparment</b> les zones, lesquelles seront autorises pour ce module. (par exemple AT,DE (si vide toutes les zones seront autorises))');
define('SOFORT_IDEAL_CLASSIC_TMP_STATUS_ID_TITLE' , 'tat de commande temporaire');
define('SOFORT_IDEAL_CLASSIC_ORDER_STATUS_ID_TITLE', 'Confirmer tat de commande');
define('SOFORT_IDEAL_CLASSIC_LAT_SUC_AUT_STATUS_ID_TITLE', 'Annulation automatique avec rejet de dbit');
define('SOFORT_IDEAL_CLASSIC_REF_COM_STATUS_ID_TITLE', 'Remboursement partiel');
define('SOFORT_IDEAL_CLASSIC_REF_REF_STATUS_ID_TITLE', 'Remboursement intgral');
define('SOFORT_IDEAL_CLASSIC_CANCELED_ORDER_STATUS_ID_TITLE', 'tat de la commande pour un paiement annul');
define('SOFORT_IDEAL_CLASSIC_LOS_NOT_CRE_STATUS_ID_TITLE', 'tat de commande en cas d\'une annulation complte');
define('SOFORT_IDEAL_CLASSIC_SORT_ORDER_TITLE', 'Ordre d\'affichage');
define('SOFORT_IDEAL_CLASSIC_CONFIGURATION_KEY_TITLE', 'Cl de configuration attribu par SOFORT AG');
define('SOFORT_IDEAL_CLASSIC_PROJECT_PASSWORD_TITLE', 'Mot de passe du projet');
define('SOFORT_IDEAL_CLASSIC_NOTIFICATION_PASSWORD_TITLE', 'Mot de passe de notification');
define('SOFORT_IDEAL_CLASSIC_REASON_1_TITLE', 'Rfrence 1');
define('SOFORT_IDEAL_CLASSIC_REASON_2_TITLE', 'Rfrence 2');
define('SOFORT_IDEAL_CLASSIC_IMAGE_TITLE', 'Logo+texte');
define('SOFORT_IDEAL_CLASSIC_STATUS_DESC', 'Active/dsactive le module entier');
define('SOFORT_IDEAL_CLASSIC_RECOMMENDED_PAYMENT_DESC', 'Mettre iDEAL comme mthode de paiement recommande');
define('SOFORT_IDEAL_CLASSIC_ZONE_DESC', 'Quand une zone est slectionne, la mthode de paiement est valable seulement pour cette zone.');
define('SOFORT_IDEAL_CLASSIC_TMP_STATUS_ID_DESC', 'tat de la commande pour transactions non-conclues. La commande a t cre mais la transaction n\'a pas encore t confirme par SOFORT AG.');
define('SOFORT_IDEAL_CLASSIC_ORDER_STATUS_ID_DESC', 'tat de commande confirm<br />tat de commande aprs transaction conclue.');
define('SOFORT_IDEAL_CLASSIC_LOS_NOT_CRE_STATUS_ID_DESC', 'tat de la commande en cas d\'annulation entire.');
define('SOFORT_IDEAL_CLASSIC_CANCELED_ORDER_STATUS_ID_DESC', 'tat de la commande pour commandes qui ont t annules pendant le processus de paiement.');
define('SOFORT_IDEAL_CLASSIC_LAT_SUC_AUT_STATUS_ID_DESC', 'tat des commandes chez lesquelles une rception du paiement a t constate aprs l\'expiration de la priode d\'attente spcifie dans le projet SOFORT et lesquelles ont t annule automatiquement pour cette raison. Le remboursement du dbit sera aussi transfr automatiquement sur le compte de l\'acheteur.');
define('SOFORT_IDEAL_CLASSIC_REF_COM_STATUS_ID_DESC', 'tat des commandes quand un montant partiel a t rembours  l\'acheteur.');
define('SOFORT_IDEAL_CLASSIC_REF_REF_STATUS_ID_DESC', 'tat des commandes quand le montant intgral a t rembours  l\'acheteur.');
define('SOFORT_IDEAL_CLASSIC_SORT_ORDER_DESC', 'Ordre de l\'affichage. Le chiffre plus petit est affich en premier.');
define('SOFORT_IDEAL_CLASSIC_CONFIGURATION_KEY_DESC', 'Cl de configuration attribu par SOFORT AG');
define('SOFORT_IDEAL_CLASSIC_PROJECT_PASSWORD_DESC', 'Mot de passe attribu par SOFORT AG');
define('SOFORT_IDEAL_CLASSIC_NOTIFICATION_PASSWORD_DESC', 'Mot de passe de notification attribu par SOFORT AG');
define('SOFORT_IDEAL_CLASSIC_REASON_1_DESC', 'Rfrence 1');
define('SOFORT_IDEAL_CLASSIC_REASON_2_DESC', 'Rfrence 2');
define('SOFORT_IDEAL_CLASSIC_IMAGE_DESC', 'Bannire ou texte dans la slection des options de paiement');
define('SOFORT_IDEAL_CLASSIC_CHECKOUT_TEXT', 'iDEAL.nl - virements en ligne pour le commerce lectronique dans les Pays-Bas. Pour le paiement avec iDEAL vous avez besoin d\'un compte chez une des banques indiques. Vous effectuez le virement directement chez votre banque. Services/marchandises seront, si disponibles, livrs ou bien envoys IMMDIATEMENT!');
define('SOFORT_IDEAL_CLASSIC_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_IMAGEALT', 'iDEAL.nl - virements en ligne pour le commerce lectronique dans les Pays-Bas. Pour le paiement avec iDEAL vous avez besoin d\'un compte chez une des banques indiques. Vous effectuez le virement directement chez votre banque. Services/marchandises seront, si disponibles, livrs ou bien envoys IMMDIATEMENT!');
define('SOFORT_IDEAL_CLASSIC_TMP_COMMENT', 'iDEAL slectionn comme mode de paiement. Transaction pas conclue.');

define('SOFORT_IDEAL_PEN_NOT_CRE_YET_BUYER', 'La commande a t transmise avec succs. {{time}}');
define('SOFORT_IDEAL_REC_CRE_BUYER', '{{paymentMethodStr}} - Argent reu. {{time}}');
define('SOFORT_IDEAL_LOS_NOT_CRE_YET_BUYER', 'Le paiement a t annul.');
define('SOFORT_IDEAL_LAT_SUC_AUT_BUYER', 'La transaction a t annule automatiquement. Retour de dbit sur le compte de l\'acheteur a t ordonn.');
define('SOFORT_IDEAL_REF_COM_BUYER', 'Une partie du montant sera rembourse.');
define('SOFORT_IDEAL_REF_REF_BUYER', 'Le montant de la facture sera rembours. {{time}}');

define('SOFORT_IDEAL_CLASSIC_ORDER_CANCELED', 'La commande a t annule.'); //Die Bestellung wurde abgebrochen.

//////////////////////////////////////////////////////////////////////////////////////////////

define('SOFORT_IDEAL_CLASSIC_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_TEXT', 'iDEAL.nl - virements en ligne pour le commerce lectronique dans les Pays-Bas. Pour le paiement avec iDEAL vous avez besoin d\'un compte chez une des banques indiques. Vous effectuez le virement directement chez votre banque. Services/marchandises seront, si disponibles, livrs ou bien envoys IMMDIATEMENT!');

define('SOFORT_IDEAL_CLASSIC_TEXT_ERROR_HEADING', 'L\'erreur suivante a t signale pendant le processus:');
define('SOFORT_MULTIPAY_XML_FAULT_10000', 'Veuillez slectionner une banque avant l\'envoi!');
define('SOFORT_IDEAL_CLASSIC_ERROR_ALL_CODES', 'Erreur pendant la transmission de donnes, vous tes pri de slectionner un autre mode de paiement ou contacter le grant de la boutique en ligne.');
define('SOFORT_IDEAL_CLASSIC_ERROR_DEFAULT', 'Un erreur s\'est produite pendant la commande.');

define('SOFORT_IDEAL_CLASSIC_IDEALSELECTED_PENDING' , 'iDEAL slectionn comme mode de paiement. Transaction pas conclue.');

define('SOFORT_IDEAL_CLASSIC_TEXT_DESCRIPTION', '<b>iDEAL</b><br />Ds que le client a slectionn le mode de paiement et sa banque, il sera redirig par SOFORT AG  sa banque. L il effectue son paiement et sera retransmis ensuite sur le systme de vente. Si la confirmation du paiement russit, un Callback par SOFORT AG aura lieu sur le systme de vente lequel modifie en consquence l\'tat du paiement de la commande.<br />Mis en place par SOFORT AG');
define('SOFORT_IDEAL_CLASSIC_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_SELECTBOX_TITLE', 'Veuillez slectionner votre banque');
define('SOFORT_IDEAL_CLASSIC_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_IMAGE', '
	<table border="0" cellspacing="0" cellpadding="0">
		<tr style="vertical-align:top;">
			<td>
				<a onclick="javascript:window.open(\'http://www.ideal.nl\',\'{}\',\'toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=yes, resizable=yes, width=1020, height=900\');" style="float:left; width:auto; cursor:pointer;">
					{{image}}
				</a>
			</td>
			<td style="padding-left:15px;">{{text}}</td>
		</tr>
		<tr>
			<td>Slection de banque:</td>
			<td style="padding-left:15px;">{{selectbox}}</td>
		</tr>
	</table>');

define('SOFORT_IDEAL_CLASSIC_CHECKOUT_CONFIRMATION', '
  <table border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td class="main">
      	<p>Aprs la confirmation de la commande vous serez redirig au systme de paiement de votre banque slectionne et vous pouvez y effectuer le virement en ligne.</p><p>Pour cela vous avez besoin de vos donnes d\'accs de banque en ligne, soit coordonnes bancaires, numro de compte, code confidentiel et code de confirmation. Pour plus d\'information allez sur: <a href="http://www.ideal.nl" target="_blank">iDEAL.nl</a></p>
      </td>
    </tr>
  </table>');

define('SOFORT_IDEAL_CLASSIC_TEXT_EMAIL_FOOTER', ' ');