<?php
/**
 * @version SOFORT Gateway 3.3.0 - $Date: 2013-06-12 16:55:41 +0200 (Wed, 12 Jun 2013) $
 * @author SOFORT AG (integration@sofort.com)
 * @link http://www.sofort.com/
 *
 * Copyright (c) 2012 SOFORT AG
 *
 * Released under the GNU General Public License (Version 2)
 * [http://www.gnu.org/licenses/gpl-2.0.html]
 *
 * $Id: sofort_ls.php 6216 2013-06-12 14:55:41Z boehm $
 */

//include language-constants used in all Multipay Projects
require_once 'sofort_general.php';


define('SOFORT_LS_CHECKOUT_CONDITIONS', '
	<script type="text/javascript">
		jQuery(document).ready(function() {
			lsOverlay = new sofortOverlay(jQuery(".lsOverlay"), "'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/scripts/getContent.php", "https://documents.sofort.com/de/ls/privacy_de");
		});
		document.write("<a id=\'lsNotice\' href=\'javascript:void(0)\' onclick=\'lsOverlay.trigger();\'>Ho letto l\'Informativa sulla protezione dei dati personali.</a>");
	</script>
	
	<div style="display:none; z-index: 1001;filter: alpha(opacity=92);filter: progid :DXImageTransform.Microsoft.Alpha(opacity=92);-moz-opacity: .92;-khtml-opacity: 0.92;opacity: 0.92;background-color: black;position: fixed;top: 0px;left: 0px;width: 100%;height: 100%;text-align: center;vertical-align: middle;" class="lsOverlay">
		<div class="loader" style="z-index: 1002; position: relative;background-color: #fff;border: 5px solid #C0C0C0;top: 40px;overflow: scroll;padding: 4px;border-radius: 7px;-moz-border-radius: 7px;-webkit-border-radius: 7px;margin: auto;width: 620px;height: 400px;overflow: scroll; overflow-x: hidden;">
			<div class="closeButton" style="position: fixed; top: 54px; background: url(ext/modules/payment/sofort/ressources/images/close.png) right top no-repeat;cursor:pointer;height: 30px;width: 30px;">
			</div>
			<div class="content">
			</div>
		</div>
	</div>
	
	<noscript>
		<a href="https://documents.sofort.com/de/ls/privacy_de" target="_blank">
			Ho letto l\'Informativa sulla protezione dei dati personali.
		</a>
	</noscript>
');

define('SOFORT_LS_CHECKOUT_CONFIRMATION', '<table border="0" cellspacing="0" cellpadding="0"><tr><td class="main"><p>Dopo la conferma dell\'ordine l\'addebito verr effettuato con i seguenti dati:</p></td></tr></table>');

define('SOFORT_LS_TEXT_DESCRIPTION_EXTRA',
	SOFORT_MULTIPAY_JS_LIBS.'
	<div id="lsExtraDesc">
		<div class="content" style="display:none;"></div>
	</div>
	<script type="text/javascript">
		lsOverlay = new sofortOverlay(jQuery("#lsExtraDesc"), "'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/scripts/getContent.php", "https://documents.sofort.com/ls/shopinfo/it");
	</script>
');

define('SOFORT_LASTSCHRIFT_TEXT_TITLE', 'Lastschrift by SOFORT <br /><img src="https://images.sofort.com/it/ls/logo_90x30.png" alt="Logo Lastschrift"/>');
define('SOFORT_LS_TEXT_TITLE', 'Prelievo bancario (addebito)');
define('SOFORT_LS_LOGO_HTML', '<img src="https://images.sofort.com/it/ls/logo_90x30.png" alt="Logo Lastschrift"/>');
define('SOFORT_LS_TEXT_ERROR_MESSAGE', 'La modalit di pagamento selezionata non  disponibile o  stata annullata dall\'acquirente. Ti preghiamo di selezionare un\'altra modalit di pagamento.');
define('SOFORT_MULTIPAY_XML_FAULT_LS', 'La modalit di pagamento selezionata non  disponibile o  stata annullata dall\'acquirente. Ti preghiamo di selezionare un\'altra modalit di pagamento.');
define('SOFORT_LS_CHECKOUT_TEXT', '');
define('SOFORT_LS_SORT_ORDER_TITLE', 'Ordine di visualizzazione');
define('SOFORT_LS_SORT_ORDER_DESC', 'Ordine di visualizzazione. Il numero pi piccolo sar visualizzato per prima.');
define('SOFORT_LS_STATUS_TITLE', 'Attivare modulo di sofort.de');
define('SOFORT_LS_STATUS_DESC', 'Attivare/disattivare l\'intero modulo');
define('SOFORT_LS_TEXT_DESCRIPTION', 'Modulo di pagamento per Lastschrift by SOFORT');
define('SOFORT_LS_TEXT_ERROR_HEADING', 'Si  verificato un errore durante l\'ordinazione.');

define('SOFORT_LS_TEXT_HOLDER', 'Intestatario del conto: ');
define('SOFORT_LS_TEXT_ACCOUNT_NUMBER', 'Numero di conto: ');
define('SOFORT_LS_TEXT_BANK_CODE', 'Codice ABI: ');

define('SOFORT_LASTSCHRIFT_ALLOWED_TITLE', 'Zone consentite');
define('SOFORT_LASTSCHRIFT_ALLOWED_DESC', 'Indicare<b>singolarmente</b> le zone autorizzate per questo modulo. (ad es. AT, DE (se vuoto, vengono autorizzate tutte le zone))');
define('SOFORT_LS_ZONE_TITLE', SOFORT_MULTIPAY_ZONE_TITLE);
define('SOFORT_LS_ZONE_DESC', SOFORT_MULTIPAY_ZONE_DESC);

define('SOFORT_LS_PEN_NOT_CRE_YET_STATUS_ID_TITLE', 'Stato dell\'ordine confermato');
define('SOFORT_LS_PEN_NOT_CRE_YET_STATUS_ID_DESC', 'Stato dell\'ordine confermato<br />Stato dell\'ordine dopo l\'avvenuta transazione.'); //(pending-not_credited_yet)

define('SOFORT_LS_LOS_REJ_STATUS_ID_TITLE', 'Addebito respinto');
define('SOFORT_LS_LOS_REJ_STATUS_ID_DESC', 'Stato per ordini, per cui vi  un addebito respinto:'); // (loss-rejected)

define('SOFORT_LS_REC_CRE_STATUS_ID_TITLE', 'Accredito');
define('SOFORT_LS_REC_CRE_STATUS_ID_DESC', 'Stato per ordini, per cui l\'importo  stato accreditato sul conto di SOFORT Bank.'); // (received-credited)

define('SOFORT_LS_REF_COM_STATUS_ID_TITLE', 'Rimborso parziale');
define('SOFORT_LS_REF_COM_STATUS_ID_DESC', 'Stato per ordini, per cui un importo parziale viene rimborsato all\'acquirente.'); // (refunded-compensation)

define('SOFORT_LS_REF_REF_STATUS_ID_TITLE', 'Rimborso completo');
define('SOFORT_LS_REF_REF_STATUS_ID_DESC', 'Stato per ordini, per cui l\'intero importo viene rimborsato all\'acquirente.'); // (refunded-refunded)

define('SOFORT_LS_LOGO', 'logo_155x50.png');
define('SOFORT_LS_BANNER', 'banner_300x100.png');

define('SOFORT_LS_TMP_COMMENT', 'Lastschrift by SOFORT selezionato come metodo di pagamento. Transazione non conclusa.');
define('SOFORT_LS_TMP_COMMENT_SELLER', 'Inoltro a SOFORT - pagamento non ancora effettuato.');

define('SOFORT_LS_RECOMMENDED_PAYMENT_TITLE', '"Modalit di pagamento consigliata"');
define('SOFORT_LS_RECOMMENDED_PAYMENT_DESC', '"Segnare questa modalit di pagamento come "modalit di pagamento consigliata". Sulla pagina di pagamento un avviso potr essere visualizzato direttamente dietro la modalit di pagamento".');
define('SOFORT_LS_RECOMMENDED_PAYMENT_TEXT', '("Modalit di pagamento consigliata")');

define('SOFORT_LS_PEN_NOT_CRE_YET_SELLER', 'Ordine completato con successo - L\'addebito diretto viene effettuato. Il tuo ID della transazione: {{tId}}');
define('SOFORT_LS_PEN_NOT_CRE_YET_BUYER', 'Ordine effettuato con successo.');
define('SOFORT_LS_REC_CRE_SELLER', 'Accredito sul conto');
define('SOFORT_LS_REC_CRE_BUYER', '');
define('SOFORT_LS_LOS_REJ_SELLER', '');
define('SOFORT_LS_LOS_REJ_BUYER', 'Per questa transazione vi  un addebito respinto. {{time}}');
define('SOFORT_LS_REF_COM_SELLER', 'Una parte dell\'importo della fattura verr rimborsato. Importo totale rimborsato: {{refunded_amount}}. {{time}}');
define('SOFORT_LS_REF_COM_BUYER', 'Una parte dell\'importo verr rimborsata.');
define('SOFORT_LS_REF_REF_SELLER', '');
define('SOFORT_LS_REF_REF_BUYER', 'L\'importo della fattura verr rimborsato. {{time}}');
