<?php
/**
 * @version SOFORT Gateway 3.3.0 - $Date: 2013-05-23 15:34:28 +0200 (Thu, 23 May 2013) $
 * @author SOFORT AG (integration@sofort.com)
 * @link http://www.sofort.com/
 *
 * Copyright (c) 2012 SOFORT AG
 *
 * Released under the GNU General Public License (Version 2)
 * [http://www.gnu.org/licenses/gpl-2.0.html]
 *
 * $Id: sofort_su.php 6160 2013-05-23 13:34:28Z rotsch $
 */

//include language-constants used in all Multipay Projects
require_once 'sofort_general.php';

define('SOFORT_SU_TEXT_DESCRIPTION_EXTRA',
	SOFORT_MULTIPAY_JS_LIBS.'
	<div id="suExtraDesc">
		<div class="content" style="display:none;"></div>
	</div>
	<script type="text/javascript">
		suOverlay = new sofortOverlay(jQuery("#suExtraDesc"), "'.DIR_WS_CATALOG.'ext/modules/payment/sofort/ressources/scripts/getContent.php", "https://documents.sofort.com/sb/shopinfo/en");
	</script>
');

define('SOFORT_SU_CHECKOUT_CONFIRMATION', '<table border="0" cellspacing="0" cellpadding="0"><tr><td class="main"><p>Una vez confirmado el pedido, ser redirigido al sistema de pago de SOFORT Banking, donde podr efectuar transferencias online.</p><p>Para ello necesitar sus datos de acceso a la banca online, es decir, su nmero de cuenta, los datos de acceso y las claves de confirmacin.</p></td></tr></table>');

define('SOFORT_SOFORTUEBERWEISUNG_TEXT_TITLE', 'SOFORT Banking <br /> <img src="https://images.sofort.com/es/su/logo_90x30.png" alt="Logo SOFORT Banking"/>');
define('SOFORT_SU_TEXT_TITLE', 'SOFORT Banking');
define('SOFORT_SU_KS_TEXT_TITLE', 'SOFORT Banking con proteccin al comprador');
define('SOFORT_SU_LOGO_HTML', '<img src="https://images.sofort.com/es/su/logo_90x30.png" alt="Logo SOFORT Banking"/>');
define('SOFORT_SU_TEXT_DESCRIPTION', 'SOFORT Banking es el mtodo de pago gratuito de SOFORT AG certificado por el organismo alemn de certificacin e inspeccin TV.');

define('SOFORT_SU_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_IMAGE', '     <table border="0" cellspacing="0" cellpadding="0">      <tr>        <td valign="bottom">
 <a onclick="javascript:window.open(\'https://images.sofort.com/es/su/landing.php\',\'Informacin para los clientes\',\'toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=yes, resizable=yes, width=1020, height=900\');" style="float:left; width:auto; cursor:pointer;">
  {{image}}
 </a>
 </td>      </tr>      <tr> <td class="main">{{text}}</td>      </tr>      </table>');

define('SOFORT_SU_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_IMAGEALT', 'SOFORT Banking');

define('SOFORT_MULTIPAY_SU_CHECKOUT_TEXT', '<ul><li>Sistema de pago con proteccin de datos certificado por TV Saarland (organismo alemn de certificacin e inspeccin)</li><li>No es necesario registrarse</li><li>Las mercancas o los contenidos se podrn tramitar de inmediato dependiendo de la disponibilidad</li><li>Por favor, tenga a mano los datos de acceso de su banca online (datos de acceso y claves de confirmacin)</li></ul>');
define('SOFORT_MULTIPAY_SU_CHECKOUT_TEXT_KS', '<ul><li>Si paga con SOFORT Banking se beneficiar de la proteccin al comprador! [[link_beginn]]Ms informacin[[link_end]]</li><li>Sistema de pago con proteccin de datos certificado por TV Saarland (organismo alemn de certificacin e inspeccin)</li><li>No es necesario registrarse</li><li>Las mercancas o los contenidos se podrn tramitar de inmediato dependiendo de la disponibilidad</li><li>Por favor, tenga a mano los datos de acceso de su banca online (datos de acceso y claves de confirmacin)</li></ul>');
define('SOFORT_SU_CHECKOUT_INFOLINK_KS', 'https://www.sofort-bank.com/eng-DE/general/kaeuferschutz/informationen-fuer-kaeufer/');
define('SOFORT_SOFORTUEBERWEISUNG_ALLOWED_TITLE', 'Zonas autorizadas');
define('SOFORT_SOFORTUEBERWEISUNG_ALLOWED_DESC', 'Introduzca <b>individualmente</b> la zonas autorizadas para este mdulo. (P.ej. AT, DE [si se deja en blanco, se autorizarn todas las zonas])');
define('SOFORT_SU_STATUS_TITLE', 'Activar mdulo sofort.de');
define('SOFORT_SU_STATUS_DESC', 'Activa y desactiva el mdulo completo');
define('SOFORT_SU_ZONE_TITLE', SOFORT_MULTIPAY_ZONE_TITLE);
define('SOFORT_SU_ZONE_DESC', SOFORT_MULTIPAY_ZONE_DESC);

define('SOFORT_SU_SORT_ORDER_TITLE', 'Secuencia de visualizacin');
define('SOFORT_SU_SORT_ORDER_DESC', 'Orden de visualizacin. El nmero ms pequeo se muestra primero.');
define('SOFORT_SU_KS_STATUS_TITLE', 'Proteccin al comprador activada');
define('SOFORT_SU_KS_STATUS_DESC', 'Activar la proteccin al comprador para SOFORT Banking');

define('SOFORT_SU_PEN_NOT_CRE_YET_STATUS_ID_TITLE', 'Estado de pedido confirmado');
define('SOFORT_SU_PEN_NOT_CRE_YET_STATUS_ID_DESC', 'Estado de pedido confirmado<br />Estado del pedido una vez completada la transaccin.');

define('SOFORT_SU_LOS_NOT_CRE_STATUS_ID_TITLE', 'Estado del pedido cuando no se ha recibido el dinero');
define('SOFORT_SU_LOS_NOT_CRE_STATUS_ID_DESC', 'Estado del pedido en caso de que no se haya recibido el dinero en la cuenta. (Requisito: disponer de una cuenta en Sofort Bank).');

define('SOFORT_SU_REC_CRE_STATUS_ID_TITLE', 'Abono');
define('SOFORT_SU_REC_CRE_STATUS_ID_DESC', 'Estado de los pedidos cuando se ha recibido el dinero en la cuenta de SOFORT Bank.');

define('SOFORT_SU_REF_COM_STATUS_ID_TITLE', 'Reembolso parcial');
define('SOFORT_SU_REF_COM_STATUS_ID_DESC', 'Estado de los pedidos en los que se ha reembolsado parte de un importe al comprador.');

define('SOFORT_SU_REF_REF_STATUS_ID_TITLE', 'Reembolso ntegro');
define('SOFORT_SU_REF_REF_STATUS_ID_DESC', 'Estado de los pedidos en los que se ha reembolsado el importe ntegro al comprador.');

define('SOFORT_SU_RECOMMENDED_PAYMENT_TITLE', 'Mtodo de pago recomendado');
define('SOFORT_SU_RECOMMENDED_PAYMENT_DESC', 'Marcar esta forma de pago como forma de pago recomendada. Aparecer un aviso en la pgina de pago detrs de la forma de pago.');
define('SOFORT_SU_RECOMMENDED_PAYMENT_TEXT', '(Mtodo de pago recomendado)');

define('SOFORT_SU_TMP_COMMENT', 'Se ha seleccionado SOFORT Banking como forma de pago. Transaccin no completada.');
define('SOFORT_SU_TMP_COMMENT_SELLER', 'Redireccionando a SOFORT - pago no efectuado todava.');

define('SOFORT_SU_TEXT_ERROR_MESSAGE', 'La forma de pago seleccionada no est disponible o ha sido cancelada por el cliente. Por favor, seleccione otra forma de pago.');
define('SOFORT_MULTIPAY_XML_FAULT_SU', 'La forma de pago seleccionada no est disponible o ha sido cancelada por el cliente. Por favor, seleccione otra forma de pago.');

define('SOFORT_SU_PEN_NOT_CRE_YET_SELLER', '');
define('SOFORT_SU_PEN_NOT_CRE_YET_BUYER', 'El pedido con SOFORT Banking se ha procesado correctamente. La ID de su transaccin es: {{transaction}}');
define('SOFORT_SU_LOS_NOT_CRE_SELLER', '');
define('SOFORT_SU_LOS_NOT_CRE_BUYER', 'Hasta la fecha no se ha podido confirmar la recepcin del pago. {{time}}');
define('SOFORT_SU_REC_CRE_BUYER', '');
define('SOFORT_SU_REC_CRE_SELLER', 'Abono en cuenta');
define('SOFORT_SU_REF_REF_SELLER', '');
define('SOFORT_SU_REF_REF_BUYER', 'Se va a reembolsar el importe de la factura. {{time}}');
define('SOFORT_SU_REF_COM_SELLER', 'Se va a reembolsar una parte del importe de la factura. Importe total del reembolso: {{refunded_amount}}. {{time}}');
define('SOFORT_SU_REF_COM_BUYER', 'Se va a reembolsar una parte del importe.');

?>