<?php
/**
 * @version SOFORT Gateway 3.3.0 - $Date: 2013-06-12 18:15:18 +0200 (Wed, 12 Jun 2013) $
 * @author SOFORT AG (integration@sofort.com)
 * @link http://www.sofort.com/
 *
 * Copyright (c) 2012 SOFORT AG
 *
 * Released under the GNU General Public License (Version 2)
 * [http://www.gnu.org/licenses/gpl-2.0.html]
 *
 * $Id: sofort_sl.php 6219 2013-06-12 16:15:18Z boehm $
 *
 * This Payment-Method is deprecated.
 */

if(!defined('SOFORT_SL_REMOVED') || SOFORT_SL_REMOVED < date('Y-m-d') || SOFORT_SL_REMOVED == "True") {
	$installedModules = explode(';', MODULE_PAYMENT_INSTALLED);
	$newModuleList = '';
	
	foreach ($installedModules as $module) {
		if ($module != 'sofort_sl.php') $newModuleList .= $module.";";
	}
	
	$newModuleList = substr($newModuleList, 0, -1);
	
	tep_db_query("UPDATE ".TABLE_CONFIGURATION." SET configuration_value = '".$newModuleList."' WHERE configuration_key = 'MODULE_PAYMENT_INSTALLED'");
	tep_db_query("DELETE FROM ".TABLE_CONFIGURATION." WHERE configuration_key LIKE 'SOFORT_SL%'");
	tep_db_query("DELETE FROM ".TABLE_CONFIGURATION." WHERE configuration_key LIKE 'SOFORT_SOFORTLASTSCHRIFT%'");
	tep_db_query("INSERT INTO ".TABLE_CONFIGURATION." (configuration_title, configuration_description, configuration_key, configuration_value, configuration_group_id, sort_order, set_function, date_added) VALUES ('Deprecated', 'Payment Method is no longer Supported', 'SOFORT_SL_REMOVED', '".date('Y-m-d')."', '6', '1', '', now())");
	
	// Check if this was the last payment-method from SOFORT and remove shared configuration keys
	$check_query = tep_db_query("SELECT * FROM ".TABLE_CONFIGURATION." WHERE configuration_key like 'SOFORT_%_STATUS' AND configuration_key NOT LIKE '%_IDEAL_%'");
	if (tep_db_num_rows ($check_query) === 0 ) {
		tep_db_query("DELETE FROM ".TABLE_CONFIGURATION." WHERE configuration_key LIKE 'SOFORT_MULTIPAY_%' AND configuration_key NOT LIKE '%_IDEAL_%'");
	}
}