<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2010 osCommerce

  Released under the GNU General Public License
*/

  $oscTemplate->buildBlocks();

  if (!$oscTemplate->hasBlocks('boxes_column_left')) {
    $oscTemplate->setGridContentWidth($oscTemplate->getGridContentWidth() + $oscTemplate->getGridColumnWidth());
  }

  if (!$oscTemplate->hasBlocks('boxes_column_right')) {
    $oscTemplate->setGridContentWidth($oscTemplate->getGridContentWidth() + $oscTemplate->getGridColumnWidth());
  }
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>" />
<title><?php echo tep_output_string_protected($oscTemplate->getTitle()); ?></title>
<base href="<?php echo (($request_type == 'SSL') ? HTTPS_SERVER : HTTP_SERVER) . DIR_WS_CATALOG; ?>" />
<link rel="stylesheet" type="text/css" href="<?php
	$iterator = new DirectoryIterator(DIR_FS_CATALOG.'ext/jquery/ui/redmond/');
	$newestVer = '0.0.0';
	foreach ($iterator as $file) if ($file->isFile()) if (version_compare(substr($file, 10, -4), $newestVer) == 1) $newestVer = substr($file, 10, -4);
	echo 'ext/jquery/ui/redmond/jquery-ui-'.$newestVer.'.css'; ?>">
<script type="text/javascript" src="<?php
		$jQuery = '';
		$iterator = new DirectoryIterator(DIR_FS_CATALOG.'ext/jquery/');
		
		foreach ($iterator as $file) {
			if ($file->isFile() && strpos($file, 'query')) {
				echo 'ext/jquery/'.$file;
				if (strpos($file, '1.8.0')) $jQuery = '1.8.0';
				break;
			}
		}
?>"></script>
<script type="text/javascript" src="<?php
		$iterator = new DirectoryIterator(DIR_FS_CATALOG.'ext/jquery/ui/');
		
		foreach ($iterator as $file) {
			if ($file->isFile() && strpos($file, 'query-ui')) {
				echo 'ext/jquery/ui/'.$file;
				if (strpos($file, '1.8.22')) $ui = '1.8.22';
				break;
			}
		}
?>"></script>

<?php
if ($jQuery == '1.8.0' && $ui == '1.8.22') {
?>
	<script type="text/javascript">
	// fix jQuery 1.8.0 and jQuery UI 1.8.22 bug with dialog buttons; http://bugs.jqueryui.com/ticket/8484
	if ( $.attrFn ) { $.attrFn.text = true; }
	</script>
<?php
}

  if (tep_not_null(JQUERY_DATEPICKER_I18N_CODE)) {
?>
<script type="text/javascript" src="ext/jquery/ui/i18n/jquery.ui.datepicker-<?php echo JQUERY_DATEPICKER_I18N_CODE; ?>.js"></script>
<script type="text/javascript">
$.datepicker.setDefaults($.datepicker.regional['<?php echo JQUERY_DATEPICKER_I18N_CODE; ?>']);
</script>
<?php
  }
?>

<script type="text/javascript" src="ext/jquery/bxGallery/jquery.bxGallery.1.1.min.js"></script>
<link rel="stylesheet" type="text/css" href="ext/jquery/fancybox/jquery.fancybox-1.3.4.css" />
<script type="text/javascript" src="ext/jquery/fancybox/jquery.fancybox-1.3.4.pack.js"></script>
<link rel="stylesheet" type="text/css" href="ext/960gs/<?php echo ((stripos(HTML_PARAMS, 'dir="rtl"') !== false) ? 'rtl_' : ''); ?>960_24_col.css" />
<link rel="stylesheet" type="text/css" href="stylesheet.css" />
<?php echo $oscTemplate->getBlocks('header_tags'); ?>
<link rel="stylesheet" type="text/css" href="../ext/modules/payment/sofort/ressources/style/sofort.css">
</head>
<body>

<div id="bodyWrapper" class="container_<?php echo $oscTemplate->getGridContainerWidth(); ?>">

<?php require(DIR_WS_INCLUDES . 'header.php'); ?>

<div id="bodyContent" class="grid_<?php echo $oscTemplate->getGridContentWidth(); ?> <?php echo ($oscTemplate->hasBlocks('boxes_column_left') ? 'push_' . $oscTemplate->getGridColumnWidth() : ''); ?>">
